import React from "react";
import { Box } from "grommet";
import { Spinning } from "grommet-controls";

const LoadingWrapper = ({ loading, ...props }) => {
  return loading ? (
    <Box margin="small" justify="center" align="center" flex>
      <Spinning kind="three-bounce" color="brand" size="large" />
    </Box>
  ) : (
    <Box {...props} />
  );
};

export default LoadingWrapper;
